Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.api
Class Account

    java.lang.Object
      com.skype.ipc.SidObject
          com.skype.api.Account

All Implemented Interfaces:
  SidGetResponding

    public final class Account

extends SidObject

Represents a local account. Encapsulates methods for Skype account creation, login and logout as well as account profile setting properties. NB! Unlike all the other SkypeKit classes, most of the Account class properties are actually read-write. In fact, there are two sorts of Account's read-write properties: server-side properties and local properties. Different setter methods need to be used for those two kinds. The subset of server-side properties consists of all the policy properties (everything with _POLICY suffix) that are all of type int and can be set with SetServersideIntProperty method. There is currently only one server-side string property - OFFLINE_CALLFORWARD which can be set with SetServersideStrProperty setter. The set of writeable account profile properties (local profile) is as follows; - P_FULLNAME, - P_BIRTHDAY, - P_GENDER, - P_LANGUAGES, - P_COUNTRY, - P_PROVINCE, - P_CITY, - P_PHONE_HOME, - P_PHONE_OFFICE, - P_PHONE_MOBILE, - P_EMAILS, - P_HOMEPAGE, - P_ABOUT, - P_MOOD_TEXT, - P_TIMEZONE, - P_AVATAR_IMAGE, - P_RICH_MOOD_TEXT These can be set with SetIntProperty, SetStrProperty and SetBinProperty setter methods. Note that there are special methods for changing account online status (availability) and enabling/disabling auto-login - SetAvailability and SetSavePwd. Note that to set Account properties, you that Account needs to be logged in. Generally, assumption is that the first thing you do with an Account object after you retrieve it with Skype.GetAccount is login, with exception of creating a new account. The Account class has no default constructor and creating an Account instance is not the same as creating a Skype account. To create a Skype account: - obtain an Account instance by invoking Skype.GetAccount. This automatically sets P_SKYPENAME. - set any additional profile-related properties. Skype recommends that you minimally set the following: - their email address so that they can retrieve a lost password (P_EMAILS) - the user's full name (P_FULLNAME) - at least one phone number (P_PHONE_HOME, P_PHONE_HOME, P_PHONE_OFFICE) - invoke Account.Register to actually create the account

Nested Class Summary
`static class` | `Account.AvatarPolicy` Recognized values for the P_AVATAR_POLICY property that controls whether remote contacts can view local account's avatar image.
`static class` | `Account.BuddyCountPolicy` Recognized values for the P_BUDDYCOUNT_POLICY property that controls whether the number of this user's authorized contacts is visible to other users, either through Account.GetPropNrofAuthedBuddies or Contact.GetPropNrofAuthedBuddies when those instances reference this user.
`static class` | `Account.CapabilityStatus` Account capabability statuses are possible values of Contact class CAPABILITY enumerator, when that enumerator is used in context of account.
`static class` | `Account.CblSyncStatus` Recognized values for the P_CBLSYNCSTATUS property.
`static class` | `Account.ChatPolicy` Recognized values for the P_CHAT_POLICY property that controls whether non-authorized users can initiate text chat with the currently logged in account.
`static class` | `Account.CommitStatus` The list of possible values of Account class COMMITSTATUS property.
`class` | `Account.GetCapabilityStatusResponse`
`class` | `Account.GetStatusWithProgressResponse`
`static class` | `Account.LogoutReason` Recognized values for the Account.P_LOGOUTREASON.
`static class` | `Account.PhoneNumbersPolicy` Recognized values for the P_PHONENUMBERSPOLICY property that controls whether unauthorized remote users can see associated phone numbers in their UI (for reference, see the different phone number tabs in Windows desktop Client contact view).
`static class` | `Account.Property` Properties of the Account class
`static class` | `Account.PstnCallPolicy` Recognized values for the P_PSTNCALLPOLICY property that controls whether (and from whom) this account accepts incoming PSTN calls.
`static class` | `Account.PwdChangeStatus` Recognized values for the P_PWDCHANGESTATUS property that provides information on whether a password change succeeded or failed, giving detailed failure reason.
`static class` | `Account.SkypeCallPolicy` Recognized values for the P_SKYPECALLPOLICY property that controls acceptance of incoming Skype calls.
`static class` | `Account.Status`
`static class` | `Account.TimezonePolicy` Recognized values for the P_TIMEZONEPOLICY property that sets the rules for timezone offset so remote clients can determine your local time.
`static class` | `Account.VoicemailPolicy` Recognized values for the P_VOICEMAILPOLICY property that controls acceptance of incoming voicemail messages.
`static class` | `Account.WebPresencePolicy` Recognized values for the P_WEBPRESENCEPOLICY property that controls whether your online status (presence) can be seen using the "Skype buttons" ( http://www.skype.com/share/buttons/ ) embedded in web pages.

Field Summary
`java.lang.String` | `mAbout`
`Contact.Availability` | `mAvailability`
`byte[]` | `mAvatarImage`
`Account.AvatarPolicy` | `mAvatarPolicy`
`int` | `mAvatarTimestamp`
`int` | `mBirthday`
`Account.BuddyCountPolicy` | `mBuddyCountPolicy`
`Account.CblSyncStatus` | `mCblSyncStatus`
`Account.ChatPolicy` | `mChatPolicy`
`java.lang.String` | `mCity`
`Account.CommitStatus` | `mCommitStatus`
`java.lang.String` | `mCountry`
`java.lang.String` | `mEmails`
`java.lang.String` | `mFullName`
`int` | `mGender`
`java.lang.String` | `mHomepage`
`java.lang.String` | `mLanguages`
`Account.LogoutReason` | `mLogoutReason`
`java.lang.String` | `mMoodText`
`int` | `mMoodTimestamp`
`int` | `mNrofAuthedBuddies`
`java.lang.String` | `mOfflineCallForward`
`int` | `mOtherInstancesCount`
`java.lang.String` | `mPartnerOptedOut`
`java.lang.String` | `mPhoneHome`
`java.lang.String` | `mPhoneMobile`
`Account.PhoneNumbersPolicy` | `mPhoneNumbersPolicy`
`java.lang.String` | `mPhoneOffice`
`int` | `mProfileTimestamp`
`java.lang.String` | `mProvince`
`Account.PstnCallPolicy` | `mPstnCallPolicy`
`Account.PwdChangeStatus` | `mPwdChangeStatus`
`int` | `mRegistrationTimestamp`
`java.lang.String` | `mRichMoodText`
`java.lang.String` | `mServiceProviderInfo`
`Account.SkypeCallPolicy` | `mSkypeCallPolicy`
`java.lang.String` | `mSkypeinNumbers`
`java.lang.String` | `mSkypeName`
`int` | `mSkypeoutBalance`
`java.lang.String` | `mSkypeoutBalanceCurrency`
`int` | `mSkypeoutPrecision`
`Account.Status` | `mStatus`
`java.lang.String` | `mSuggestedSkypeName`
`int` | `mTimezone`
`Account.TimezonePolicy` | `mTimezonePolicy`
`Account.VoicemailPolicy` | `mVoicemailPolicy`
`Account.WebPresencePolicy` | `mWebPresencePolicy`

Fields inherited from class com.skype.ipc.SidObject
`mSidCached, mSidOid, mSidRoot, mSidTimestamp`

Constructor Summary
`Account(int oid, SidRoot root)`

Method Summary
`void` | `cancelServerCommit()` Cancels an attempt to commit a server-side P_XXX_POLICY or the P_OFFLINE_CALLFORWARD server-side property.
`void` | `changePassword(java.lang.String oldPassword, java.lang.String newPassword, boolean savePwd)` Changes this account's password.
`void` | `delete()` Deletes all account data stored locally.
`java.lang.String` | `getAbout()` arbitrary introductory text
`Contact.Availability` | `getAvailability()` Contact.AVAILABILITY
`byte[]` | `getAvatarImage()` Account avatar picture can be set with Account.SetBinProperty method.
`Account.AvatarPolicy` | `getAvatarPolicy()` Server-side account property, use SetServerside*Property() to set
`int` | `getAvatarTimestamp()` UNIX timestamp of when current avatar was set
`int` | `getBirthday()` YYYYMMDD
`Account.BuddyCountPolicy` | `getBuddyCountPolicy()` Server-side account property, use SetServerside*Property() to set
`Account.GetCapabilityStatusResponse` | `getCapabilityStatus(Contact.Capability capability)` Returns state of a given account capability.
`Account.CblSyncStatus` | `getCblSyncStatus()` Account.CBLSYNCSTATUS
`Account.ChatPolicy` | `getChatPolicy()` Server-side account property, use SetServerside*Property() to set
`java.lang.String` | `getCity()`
`Account.CommitStatus` | `getCommitStatus()` Account.COMMITSTATUS
`java.lang.String` | `getCountry()` ISO country code
`java.lang.String` | `getEmails()` This is a string property, that contains space-separated list of email addresses.
`java.lang.String` | `getFullName()`
`int` | `getGender()` 1-male, 2-female
`java.lang.String` | `getHomepage()`
`java.lang.String` | `getLanguages()` ISO language codes, space-separated
`Account.LogoutReason` | `getLogoutReason()` This property should only be examined when Account.P_STATUS is LOGGED_OUT or LOGGED_OUT_AND_PWD_SAVED.
`java.lang.String` | `getMoodText()` Personal mood text (visible to authorised users only).
`int` | `getMoodTimestamp()` UNIX timestamp of when current mood was set
`int` | `getNrofAuthedBuddies()` Count of this user's authorized contacts.
`java.lang.String` | `getOfflineCallForward()` space-separated list of 'begSecond,endSecond,identity' tokens
`int` | `getOtherInstancesCount()` number of times this user is logged in from other computers
`java.lang.String` | `getPartnerOptedOut()` Alerts: opted out partner id's, space separated
`java.lang.String` | `getPhoneHome()` NB! string not integer
`java.lang.String` | `getPhoneMobile()`
`Account.PhoneNumbersPolicy` | `getPhoneNumbersPolicy()` Server-side account property, use SetServerside*Property() to set
`java.lang.String` | `getPhoneOffice()`
`int` | `getProfileTimestamp()` UNIX timestamp of last profile change
`java.lang.String` | `getPropertyAsString(Account.Property prop)`
`java.lang.String` | `getPropertyAsString(int prop)`
`java.lang.String` | `getProvince()`
`Account.PstnCallPolicy` | `getPstnCallPolicy()` Server-side account property, use SetServerside*Property() to set
`Account.PwdChangeStatus` | `getPwdChangeStatus()` Account.PWDCHANGESTATUS
`int` | `getRegistrationTimestamp()` NB! Unlike your common UNIX timestamps, the registration_timestamp is special, as it counts MINUTES rather than seconds, from Epoch (January 1, 1970)
`java.lang.String` | `getRichMoodText()` XML version of CONTACT_MOOD_TEXT.
`java.lang.String` | `getServiceProviderInfo()` service information if the user is a paid service provider
`Account.SkypeCallPolicy` | `getSkypeCallPolicy()` Server-side account property, use SetServerside*Property() to set
`java.lang.String` | `getSkypeinNumbers()` space-separated list of skypein numbers
`java.lang.String` | `getSkypeName()`
`java.lang.String` | `getSkypeNameHash()` Response is empty when called with an inactive or invalid account * @return skypenameHash
`int` | `getSkypeoutBalance()` balance in 'cents'
`java.lang.String` | `getSkypeoutBalanceCurrency()` 'EUR', 'USD', etc.
`int` | `getSkypeoutPrecision()` decimal points in ACCOUNT_SKYPEOUT_BALANCE
`Account.Status` | `getStatus()` Account.STATUS
`Account.GetStatusWithProgressResponse` | `getStatusWithProgress()` getStatusWithProgress
`java.lang.String` | `getSuggestedSkypeName()` suggested skypenames, semi-colon separated.
`int` | `getTimezone()` 24*3600+diff_to_UTC_in_seconds.
`Account.TimezonePolicy` | `getTimezonePolicy()` Server-side account property, use SetServerside*Property() to set
`java.lang.String` | `getVerifiedCompany()` returns verified-by-Skype company for this account if exists and verifiable * @return company
`java.lang.String` | `getVerifiedEmail()` returns verified-by-Skype e-mail for this account if exists and verifiable * @return email
`Account.VoicemailPolicy` | `getVoicemailPolicy()` Server-side account property, use SetServerside*Property() to set
`Account.WebPresencePolicy` | `getWebPresencePolicy()` Server-side account property, use SetServerside*Property() to set
`protected boolean` | `hasCached()`
`void` | `invalidateCache(PropertyEnumConverting property)` invalidateCache: the next time the property is get, it will be querried to the runtime, meanwhile it can be discarded.
`protected boolean` | `isCached(PropertyEnumConverting property)`
`void` | `login(Contact.Availability setAvailabilityTo)` Login an auto-login enabled account (P_STATUS is LOGGED_OUT_AND_PWD_SAVED) and optionally set the availability, for example login in as Contact.DO_NOT_DISTURB.
`void` | `loginWithPassword(java.lang.String password, boolean savePwd, boolean saveDataLocally)` Login in an account by specifying its password.
`void` | `logout(boolean clearSavedPwd)` Logs out current account.
`Account` | `mgetProfile()` multiget the following properties - P_SKYPE_NAME - P_FULL_NAME - P_MOOD_TEXT - P_EMAILS - P_PHONE_HOME - P_PHONE_OFFICE - P_PHONE_MOBILE - P_BIRTHDAY - P_GENDER - P_LANGUAGES - P_COUNTRY - P_PROVINCE - P_CITY - P_HOMEPAGE - P_ABOUT - P_TIMEZONE
`int` | `moduleId()`
`void` | `register(java.lang.String password, boolean savePwd, boolean saveDataLocally, java.lang.String email, boolean allowSpam)` This command can be used to create a new Skype account, based on the Account object.
`void` | `setAvailability(Contact.Availability availability)` Sets online status of the currently logged in account to one of the values from Contact class AVAILABILITY enumerator.
`void` | `setBinProperty(int propKey, byte[] value)` Setter for BLOB properties, such as its avatar image.
`void` | `setIntProperty(int propKey, int value)` Setter for integer properties.
`void` | `setPasswordSaved(boolean savePwd)` save or clear credentials for auto-login whilst already logged in * @param savePwd
`void` | `setServerSideIntProperty(int propKey, int value)` Setter for integer (and enum) server-side properties.
`void` | `setServerSideStrProperty(int propKey, java.lang.String value)` Setter for String server-side properties.
`void` | `setStandby(boolean standby)` Transitions the availability of this account's associated user, who is assumed to be logged in.
`void` | `setStrProperty(int propKey, java.lang.String value)` Setter for String properties.
`byte[]` | `sidGetBinaryProperty(PropertyEnumConverting prop)`
`EnumConverting` | `sidGetEnumProperty(PropertyEnumConverting prop)`
`int` | `sidGetIntProperty(PropertyEnumConverting prop)`
`java.lang.String` | `sidGetStringProperty(PropertyEnumConverting prop)`
`SidGetResponding` | `sidMultiGet(Account.Property[] requested)` generic multiget of a list of Property
`static SidGetResponding[]` | `sidMultiGet(Account.Property[] requested, Account[] objects)` generic multiget of list of Property for a list of Account
`protected void` | `sidOnChangedProperty(int propertyId, int value, java.lang.String svalue)`
`void` | `sidSetProperty(PropertyEnumConverting prop, byte[] newValue)`
`void` | `sidSetProperty(PropertyEnumConverting prop, int newValue)`
`void` | `sidSetProperty(PropertyEnumConverting prop, java.lang.String newValue)`

Methods inherited from class com.skype.ipc.SidObject
`finalize, getOid, sidDoRequest, sidGetBoolProperty, sidGetFilenameProperty, sidGetLongProperty, sidGetObject, sidGetObjectProperty, sidGetUintProperty, sidGetXmlProperty, sidMultiGet, sidMultiGet, sidMultiGet, sidMultiGet, sidRequestBinaryProperty, sidRequestBoolProperty, sidRequestEnumProperty, sidRequestFilenameProperty, sidRequestIntProperty, sidRequestObjectProperty, sidRequestProperty, sidRequestStringProperty, sidRequestUintProperty, sidRequestXmlProperty, sidSetProperty, sidSetProperty`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mStatus

    public Account.Status mStatus

### mPwdChangeStatus

    public Account.PwdChangeStatus mPwdChangeStatus

### mLogoutReason

    public Account.LogoutReason mLogoutReason

### mCommitStatus

    public Account.CommitStatus mCommitStatus

### mSuggestedSkypeName

    public java.lang.String mSuggestedSkypeName

### mSkypeoutBalanceCurrency

    public java.lang.String mSkypeoutBalanceCurrency

### mSkypeoutBalance

    public int mSkypeoutBalance

### mSkypeoutPrecision

    public int mSkypeoutPrecision

### mSkypeinNumbers

    public java.lang.String mSkypeinNumbers

### mCblSyncStatus

    public Account.CblSyncStatus mCblSyncStatus

### mOfflineCallForward

    public java.lang.String mOfflineCallForward

### mChatPolicy

    public Account.ChatPolicy mChatPolicy

### mSkypeCallPolicy

    public Account.SkypeCallPolicy mSkypeCallPolicy

### mPstnCallPolicy

    public Account.PstnCallPolicy mPstnCallPolicy

### mAvatarPolicy

    public Account.AvatarPolicy mAvatarPolicy

### mBuddyCountPolicy

    public Account.BuddyCountPolicy mBuddyCountPolicy

### mTimezonePolicy

    public Account.TimezonePolicy mTimezonePolicy

### mWebPresencePolicy

    public Account.WebPresencePolicy mWebPresencePolicy

### mPhoneNumbersPolicy

    public Account.PhoneNumbersPolicy mPhoneNumbersPolicy

### mVoicemailPolicy

    public Account.VoicemailPolicy mVoicemailPolicy

### mPartnerOptedOut

    public java.lang.String mPartnerOptedOut

### mServiceProviderInfo

    public java.lang.String mServiceProviderInfo

### mRegistrationTimestamp

    public int mRegistrationTimestamp

### mOtherInstancesCount

    public int mOtherInstancesCount

### mSkypeName

    public java.lang.String mSkypeName

### mFullName

    public java.lang.String mFullName

### mBirthday

    public int mBirthday

### mGender

    public int mGender

### mLanguages

    public java.lang.String mLanguages

### mCountry

    public java.lang.String mCountry

### mProvince

    public java.lang.String mProvince

### mCity

    public java.lang.String mCity

### mPhoneHome

    public java.lang.String mPhoneHome

### mPhoneOffice

    public java.lang.String mPhoneOffice

### mPhoneMobile

    public java.lang.String mPhoneMobile

### mEmails

    public java.lang.String mEmails

### mHomepage

    public java.lang.String mHomepage

### mAbout

    public java.lang.String mAbout

### mProfileTimestamp

    public int mProfileTimestamp

### mMoodText

    public java.lang.String mMoodText

### mTimezone

    public int mTimezone

### mNrofAuthedBuddies

    public int mNrofAuthedBuddies

### mAvailability

    public Contact.Availability mAvailability

### mAvatarImage

    public byte[] mAvatarImage

### mAvatarTimestamp

    public int mAvatarTimestamp

### mMoodTimestamp

    public int mMoodTimestamp

### mRichMoodText

    public java.lang.String mRichMoodText

Constructor Detail

### Account

    public Account(int oid,
                   SidRoot root)

Method Detail

### getStatusWithProgress

    public Account.GetStatusWithProgressResponse getStatusWithProgress()

  getStatusWithProgress

  Returns:
    GetStatusWithProgressResponse
    - status Current value of this account's P_STATUS property
    - progress This argument returns 0.

### login

    public void login(Contact.Availability setAvailabilityTo)

  Login an auto-login enabled account (P_STATUS is LOGGED_OUT_AND_PWD_SAVED) and optionally set the availability, for example login in as Contact.DO_NOT_DISTURB. To find out whether there is an auto-login enabled account available, you can use Skype.GetDefaultAccountName to retrieve the skypename of that account. You can then get an Account instance for login by invoking Skype.GetAccount. If no accounts with stored login credentials are available (GetDefaultAccountName returns an empty string), then you will have to prompt the user for account name and password and then use LoginWithPassword. Account name field in the UI can be pre-populated with strings retrieved with Skype.GetExistingAccounts

  Parameters:
    `setAvailabilityTo` - force this account's initial online status to the specified Contact.AVAILABILITY value.

### loginWithPassword

    public void loginWithPassword(java.lang.String password,
                                  boolean savePwd,
                                  boolean saveDataLocally)

  Login in an account by specifying its password. To retrieve an account instance for login, invoke Skype.GetAccount.

  Parameters:
    `password` - Password string (plaintext) for this account, which should be pre-validated (Skype.ValidatePassword)
    `savePwd` - - true: Saves the password, ensuring that auto-login is enabled. - false (default): Does not save the password, and so the user might not be able to effect auto-login until they explicitly invoke Account.SetPasswordSaved(true).
    `saveDataLocally` - For internal use only.

### register

    public void register(java.lang.String password,
                         boolean savePwd,
                         boolean saveDataLocally,
                         java.lang.String email,
                         boolean allowSpam)

  This command can be used to create a new Skype account, based on the Account object. When successful, this command will also log in with the newly created account. If the new account registration was not successful, Account status property will change to LOGGED_OUT. A common reason for registration failures is that the an account with that name already exists. In that case, Account LOGOUT_REASON will be set to SKYPENAME_TAKEN. Also, Account SUGGESTED_SKYPENAME property will be set to a list of similar but still available skypenames that could be used instead. The property will contain up to 5 semicolon-separated alternative skypenames. In if no suggested skypenames were available, then this property will contain an empty string. NB! You should pre-validate your P_SKYPENAME value and any email string (Skype.ValidateProfileString) prior to invoking this method.

  Parameters:
    `password` - Password string (plaintext) for this account, which should be pre-validated (Skype.ValidatePassword)
    `savePwd` - - true: Saves the password and enables auto-login. - false (default): Does not save the password, and the user needs to be prompted for password on the next login attempt.
    `saveDataLocally` - For internal use only.
    `email` - An email address for retrieving lost passwords and receiving news and information from Skype.
    `allowSpam` - enable/disable news and information from Skype being sent to account's e-mail.

### logout

    public void logout(boolean clearSavedPwd)

  Logs out current account. Note that calling this on client application exit is optional. * @param clearSavedPwd - true: Clears any saved password use with auto-login and so disables auto-login until you explicitly invoke Account.SetPasswordSaved(true). - false (default): Does not clear any saved password and so does not affect existing auto-login behavior.

### changePassword

    public void changePassword(java.lang.String oldPassword,
                               java.lang.String newPassword,
                               boolean savePwd)

  Changes this account's password. Returns false if the change failed. NB! You should pre-validate your password strings (Skype.ValidatePassword) and ensure that they are different prior to invoking this method. * @param oldPassword "Current password string (plaintext) for this account

  Parameters:
    `newPassword` - New password string (plaintext) for this account
    `savePwd` - - true: Saves the new password and enables auto-login. - false (default): Clears any existing saved password and so the user cannot effect auto-login until they explicitly invoke Account.SetPasswordSaved(true)

### setPasswordSaved

    public void setPasswordSaved(boolean savePwd)

  save or clear credentials for auto-login whilst already logged in * @param savePwd

### setServerSideIntProperty

    public void setServerSideIntProperty(int propKey,
                                         int value)

  Setter for integer (and enum) server-side properties. For a list of writeable server-side properties, see the detailed description of the Account class. * @param propKey

  Parameters:
    `value` -

### setServerSideStrProperty

    public void setServerSideStrProperty(int propKey,
                                         java.lang.String value)

  Setter for String server-side properties. For a list of writeable server-side properties, see the detailed description of the Account class. * @param propKey

  Parameters:
    `value` -

### cancelServerCommit

    public void cancelServerCommit()

  Cancels an attempt to commit a server-side P_XXX_POLICY or the P_OFFLINE_CALLFORWARD server-side property. Invoking this cancellation only makes sense whilst the P_COMMITTSTATUS is in COMMITTING_TO_SERVER state.

### setIntProperty

    public void setIntProperty(int propKey,
                               int value)

  Setter for integer properties. For a list of writeable account profile properties, see the detailed description of the Account class. * @param propKey

  Parameters:
    `value` -

### setStrProperty

    public void setStrProperty(int propKey,
                               java.lang.String value)

  Setter for String properties. For a list of writeable account profile properties, see the detailed description of the Account class. NB! You should pre-validate your about and mood message strings (Skype.ValidateProfileString) prior to invoking this method. * @param propKey

  Parameters:
    `value` -

### setBinProperty

    public void setBinProperty(int propKey,
                               byte[] value)

  Setter for BLOB properties, such as its avatar image. For a list of writeable account profile properties, see the detailed description of the Account class. NB! You should pre-validate your avatar image (Skype.ValidateAvatar) prior to invoking this method. * @param propKey

  Parameters:
    `value` -

### setAvailability

    public void setAvailability(Contact.Availability availability)

  Sets online status of the currently logged in account to one of the values from Contact class AVAILABILITY enumerator. * @param availability only subset of all contact availabilities allowed

### setStandby

    public void setStandby(boolean standby)

  Transitions the availability of this account's associated user, who is assumed to be logged in. * @param standby - true: Saves the user's current availability, then sets it to CONTACT.AVAILABILITY.OFFLINE - false: Reconnects the user and restores their previous availability

### getCapabilityStatus

    public Account.GetCapabilityStatusResponse getCapabilityStatus(Contact.Capability capability)

  Returns state of a given account capability. Takes Contact class CAPABILITY property as input argument and returns its state and expiration timestamp where appropriate. For example (C++ wrapper, with other wrappers the syntax may vary but the idea is the same) MyAccount.GetCapabilityStatus(Contact.CAPABILITY_SKYPEOUT, Cap, T); will return Account.CAPABILITY_EXISTS if local account has SkypeOut enabled. * @param capability

  Returns:
    GetCapabilityStatusResponse
    - status
    - expiryTimestamp

### getSkypeNameHash

    public java.lang.String getSkypeNameHash()

  Response is empty when called with an inactive or invalid account * @return skypenameHash

### getVerifiedEmail

    public java.lang.String getVerifiedEmail()

  returns verified-by-Skype e-mail for this account if exists and verifiable * @return email

### getVerifiedCompany

    public java.lang.String getVerifiedCompany()

  returns verified-by-Skype company for this account if exists and verifiable * @return company

### delete

    public void delete()

  Deletes all account data stored locally. Does not remove any account data from the server!

### sidMultiGet

    public SidGetResponding sidMultiGet(Account.Property[] requested)

  generic multiget of a list of Property

  Parameters:
    `requested` - the list of requested properties of Account
  Returns:
    SidGetResponding

### sidMultiGet

    public static SidGetResponding[] sidMultiGet(Account.Property[] requested,
                                                 Account[] objects)

  generic multiget of list of Property for a list of Account

  Parameters:
    `requested` - the list of requested properties
  Returns:
    SidGetResponding[] can be casted to (Account[]) if all properties are cached

### mgetProfile

    public Account mgetProfile()

  multiget the following properties - P_SKYPE_NAME - P_FULL_NAME - P_MOOD_TEXT - P_EMAILS - P_PHONE_HOME - P_PHONE_OFFICE - P_PHONE_MOBILE - P_BIRTHDAY - P_GENDER - P_LANGUAGES - P_COUNTRY - P_PROVINCE - P_CITY - P_HOMEPAGE - P_ABOUT - P_TIMEZONE

### getStatus

    public Account.Status getStatus()

  Account.STATUS

### getPwdChangeStatus

    public Account.PwdChangeStatus getPwdChangeStatus()

  Account.PWDCHANGESTATUS

### getLogoutReason

    public Account.LogoutReason getLogoutReason()

  This property should only be examined when Account.P_STATUS is LOGGED_OUT or LOGGED_OUT_AND_PWD_SAVED. That is, you should not monitor changes to this property in Account.OnChange callback, other than after already having checked that P_STATUS property has appropriate value. The reason for this is that the LOGOUTREASON does not get reset before the next login attempt. For example: if a user tried to log in with a wrong password, the LOGOUTREASON gets set to INCORRECT_PASSWORD. Now, if the user tries to log in again, and yet again submits an incorrect password, the value of the LOGOUTREASON does not change anymore, because it already is set to INCORRECT_PASSWORD. Consequently, Account.OnChange will not fire in this case.

### getCommitStatus

    public Account.CommitStatus getCommitStatus()

  Account.COMMITSTATUS

### getSuggestedSkypeName

    public java.lang.String getSuggestedSkypeName()

  suggested skypenames, semi-colon separated. present if logoutreason==SKYPENAME_TAKEN

### getSkypeoutBalanceCurrency

    public java.lang.String getSkypeoutBalanceCurrency()

  'EUR', 'USD', etc.

### getSkypeoutBalance

    public int getSkypeoutBalance()

  balance in 'cents'

### getSkypeoutPrecision

    public int getSkypeoutPrecision()

  decimal points in ACCOUNT_SKYPEOUT_BALANCE

### getSkypeinNumbers

    public java.lang.String getSkypeinNumbers()

  space-separated list of skypein numbers

### getCblSyncStatus

    public Account.CblSyncStatus getCblSyncStatus()

  Account.CBLSYNCSTATUS

### getOfflineCallForward

    public java.lang.String getOfflineCallForward()

  space-separated list of 'begSecond,endSecond,identity' tokens

### getChatPolicy

    public Account.ChatPolicy getChatPolicy()

  Server-side account property, use SetServerside*Property() to set

### getSkypeCallPolicy

    public Account.SkypeCallPolicy getSkypeCallPolicy()

  Server-side account property, use SetServerside*Property() to set

### getPstnCallPolicy

    public Account.PstnCallPolicy getPstnCallPolicy()

  Server-side account property, use SetServerside*Property() to set

### getAvatarPolicy

    public Account.AvatarPolicy getAvatarPolicy()

  Server-side account property, use SetServerside*Property() to set

### getBuddyCountPolicy

    public Account.BuddyCountPolicy getBuddyCountPolicy()

  Server-side account property, use SetServerside*Property() to set

### getTimezonePolicy

    public Account.TimezonePolicy getTimezonePolicy()

  Server-side account property, use SetServerside*Property() to set

### getWebPresencePolicy

    public Account.WebPresencePolicy getWebPresencePolicy()

  Server-side account property, use SetServerside*Property() to set

### getPhoneNumbersPolicy

    public Account.PhoneNumbersPolicy getPhoneNumbersPolicy()

  Server-side account property, use SetServerside*Property() to set

### getVoicemailPolicy

    public Account.VoicemailPolicy getVoicemailPolicy()

  Server-side account property, use SetServerside*Property() to set

### getPartnerOptedOut

    public java.lang.String getPartnerOptedOut()

  Alerts: opted out partner id's, space separated

### getServiceProviderInfo

    public java.lang.String getServiceProviderInfo()

  service information if the user is a paid service provider

### getRegistrationTimestamp

    public int getRegistrationTimestamp()

  NB! Unlike your common UNIX timestamps, the registration_timestamp is special, as it counts MINUTES rather than seconds, from Epoch (January 1, 1970)

### getOtherInstancesCount

    public int getOtherInstancesCount()

  number of times this user is logged in from other computers

### getSkypeName

    public java.lang.String getSkypeName()

### getFullName

    public java.lang.String getFullName()

### getBirthday

    public int getBirthday()

  YYYYMMDD

### getGender

    public int getGender()

  1-male, 2-female

### getLanguages

    public java.lang.String getLanguages()

  ISO language codes, space-separated

### getCountry

    public java.lang.String getCountry()

  ISO country code

### getProvince

    public java.lang.String getProvince()

### getCity

    public java.lang.String getCity()

### getPhoneHome

    public java.lang.String getPhoneHome()

  NB! string not integer

### getPhoneOffice

    public java.lang.String getPhoneOffice()

### getPhoneMobile

    public java.lang.String getPhoneMobile()

### getEmails

    public java.lang.String getEmails()

  This is a string property, that contains space-separated list of email addresses. When surfacing this property in your UI, you will need to take into account that there may be more than one email addresses in this property (i.e. split the value at spaces and display them as list). Similarly, when modifying this property with SetStrProperty method, your editor should allow editing of component email addresses separately and add them all up again, before submitting back to the account.

### getHomepage

    public java.lang.String getHomepage()

### getAbout

    public java.lang.String getAbout()

  arbitrary introductory text

### getProfileTimestamp

    public int getProfileTimestamp()

  UNIX timestamp of last profile change

### getMoodText

    public java.lang.String getMoodText()

  Personal mood text (visible to authorised users only). Max length 300 bytes.

### getTimezone

    public int getTimezone()

  24*3600+diff_to_UTC_in_seconds. nb! changes with DST

### getNrofAuthedBuddies

    public int getNrofAuthedBuddies()

  Count of this user's authorized contacts.

### getAvailability

    public Contact.Availability getAvailability()

  Contact.AVAILABILITY

### getAvatarImage

    public byte[] getAvatarImage()

  Account avatar picture can be set with Account.SetBinProperty method. The contact avatar picture is limited to max 96x96 pixels and 32000 bytes. If the submitted avatar picture exceeds either of these size limits, it is the responsibility of your client to scale the image down to appropriate size. The avatar pictures have to be in JPG format. A SkypeKit client can enable the user to set the Account avatar in other picture formats, in which case the picture should be converted to JPG before submitting it. * In any case, the avatar picture should be pre-validated with the Skype.ValidateAvatar method.

### getAvatarTimestamp

    public int getAvatarTimestamp()

  UNIX timestamp of when current avatar was set

### getMoodTimestamp

    public int getMoodTimestamp()

  UNIX timestamp of when current mood was set

### getRichMoodText

    public java.lang.String getRichMoodText()

  XML version of CONTACT_MOOD_TEXT. Max length 1000 bytes.

### sidGetStringProperty

    public java.lang.String sidGetStringProperty(PropertyEnumConverting prop)

  Specified by:
    `sidGetStringProperty` in interface `SidGetResponding`
  Overrides:
    `sidGetStringProperty` in class `SidObject`

### sidGetIntProperty

    public int sidGetIntProperty(PropertyEnumConverting prop)

  Specified by:
    `sidGetIntProperty` in interface `SidGetResponding`
  Overrides:
    `sidGetIntProperty` in class `SidObject`

### sidGetEnumProperty

    public EnumConverting sidGetEnumProperty(PropertyEnumConverting prop)

  Specified by:
    `sidGetEnumProperty` in interface `SidGetResponding`
  Overrides:
    `sidGetEnumProperty` in class `SidObject`

### sidGetBinaryProperty

    public byte[] sidGetBinaryProperty(PropertyEnumConverting prop)

  Specified by:
    `sidGetBinaryProperty` in interface `SidGetResponding`
  Overrides:
    `sidGetBinaryProperty` in class `SidObject`

### getPropertyAsString

    public java.lang.String getPropertyAsString(int prop)

### getPropertyAsString

    public java.lang.String getPropertyAsString(Account.Property prop)

### sidOnChangedProperty

    protected void sidOnChangedProperty(int propertyId,
                                        int value,
                                        java.lang.String svalue)

  Specified by:
    `sidOnChangedProperty` in class `SidObject`

### sidSetProperty

    public void sidSetProperty(PropertyEnumConverting prop,
                               java.lang.String newValue)

  Specified by:
    `sidSetProperty` in interface `SidGetResponding`
  Overrides:
    `sidSetProperty` in class `SidObject`

### sidSetProperty

    public void sidSetProperty(PropertyEnumConverting prop,
                               int newValue)

  Specified by:
    `sidSetProperty` in interface `SidGetResponding`
  Overrides:
    `sidSetProperty` in class `SidObject`

### sidSetProperty

    public void sidSetProperty(PropertyEnumConverting prop,
                               byte[] newValue)

  Specified by:
    `sidSetProperty` in interface `SidGetResponding`
  Overrides:
    `sidSetProperty` in class `SidObject`

### invalidateCache

    public void invalidateCache(PropertyEnumConverting property)

  invalidateCache: the next time the property is get, it will be querried to the runtime, meanwhile it can be discarded. This allows fine grained cache management. Note that this doesn't delete the property, you still have to set it to null * to get a chance having this behavior. The rationale if that the generated properties being public, you can directly assign it to null whilst a generated invalidateCache would require switching on the values to do so. Account o; o.invalidate(Account.Property.P_MY_PROP); o.mMyProp = null;

  Overrides:
    `invalidateCache` in class `SidObject`
  Parameters:
    `property` - the property to be invalidated

### isCached

    protected boolean isCached(PropertyEnumConverting property)

  Overrides:
    `isCached` in class `SidObject`

### hasCached

    protected boolean hasCached()

  Overrides:
    `hasCached` in class `SidObject`

### moduleId

    public int moduleId()

  Specified by:
    `moduleId` in class `SidObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.